//mathLibrary.h - Contains declaration of Function Class
#pragma once

#ifdef MATHLIBRARY_EXPORTS
#define MATHLIBRARY_API __declspec(dllexport)
#else
#define MATHLIBRARY_API __declspec(dllimport)
#endif

namespace MathLibrary
{
	// This class is exported fromt eh MathLibrary.dll
	class Functions
	{
	public:
		//Returns a+ b
		static MATHLIBRARY_API double Add(double a, double b);

		// Returns a * g
		static MATHLIBRARY_API double Multiply(double a, double b);

		//Returns a + (a * b)
		static MATHLIBRARY_API double AddMultiply(double a, double b);
	};
}
